Upsert Product
Creates or updates a Product.
Authentication
AuthorizationBearer
This authentication type can be used to directly call the service.
OR
X-API-KEYstring
This authentication type is supported by using the provided API key for the merchant account.
Path parameters
connectionId
represents the ID of a connection. It is used as a unique identifier for the connection
Request
This endpoint expects an object.
productId
ID of the product in the given connection & channel
channel
The type of channel the product comes from (e.g., amazon, walmart etc.). It accepts any string and attempts to snake_case the input.
externalTaxCode
Tax code from the external platform, used as the lookup key in taxonomy mappings to derive a default TIC. Merchants may override the resulting TIC.
productName
Name of the product for description purposes (not used in mapping)
tic
TIC number for the product
Response
OK
channel
The type of channel the product comes from (e.g., amazon, walmart etc.)
connectionId
id
productId
ID of the product in the given connection & channel
productName
Name of the product for description purposes (not used in mapping)
$schema
A URL to the JSON Schema for this object.
externalTaxCode
Tax code from the external platform, used as the lookup key in taxonomy mappings to derive a default TIC. Merchants may override the resulting TIC.
tic
TIC number for the product
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error